package proxy.command;

import com.google.common.collect.Lists;

import proxy.Proxy;
import proxy.network.ProxyHandler;
import proxy.util.Formatter;

public class CommandExit extends Command {
	public String getName() {
		return "exit";
	}
	
	public String getHelp() {
		return "Stops the proxy with an optional exit message";
	}
	
	public String getArgs() {
		return "[message ...]";
	}

	public void run(Proxy proxy, ProxyHandler player, String[] args) {
		String msg = args.length == 0 ? "Proxy stopped" : Formatter.joinSpace(args);
		for(ProxyHandler plr : Lists.newArrayList(proxy.getPlayers())) {
			plr.disconnect(msg);
		}
		proxy.shutdown();
	}
}
