package proxy.nbt;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

class NbtByteArray extends Nbt {
	private byte[] data;

	void write(DataOutput output) throws IOException {
		output.writeInt(this.data.length);
		output.write(this.data);
	}

	void read(DataInput input, int depth, Tracker tracker) throws IOException {
		tracker.read(192L);
		int len = input.readInt();
		tracker.read((long)(8 * len));
		this.data = new byte[len];
		input.readFully(this.data);
	}

	byte getId() {
		return (byte)7;
	}
}
