package proxy.nbt;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

class NbtString extends Nbt {
	private String data;

	void write(DataOutput output) throws IOException {
		output.writeUTF(this.data);
	}

	void read(DataInput input, int depth, Tracker tracker) throws IOException {
		tracker.read(288L);
		this.data = input.readUTF();
		tracker.read((long)(16 * this.data.length()));
	}

	byte getId() {
		return (byte)8;
	}

	String getData() {
		return this.data;
	}
}
