package proxy.packet;

import java.io.IOException;
import java.util.List;

import proxy.network.ProxyHandler;
import proxy.network.Packet;
import proxy.network.PacketBuffer;
import proxy.util.EntityData;

public class S1CPacketEntityMetadata extends EntityIdPacketClient implements Packet<ProxyHandler>
{
    private List<EntityData> field_149378_b;

    /**
     * Reads the raw packet data from the data stream.
     */
    public void readPacketData(PacketBuffer buf) throws IOException
    {
        this.entityId = buf.readVarIntFromBuffer();
        this.field_149378_b = EntityData.readData(buf);
    }

    /**
     * Writes the raw packet data to the data stream.
     */
    public void writePacketData(PacketBuffer buf) throws IOException
    {
        buf.writeVarIntToBuffer(this.entityId);
        EntityData.writeData(this.field_149378_b, buf);
    }

    /**
     * Passes this Packet on to the NetHandler for processing.
     */
    public void processPacket(ProxyHandler handler)
    {
        handler.handleEntityMetadata(this);
    }
}
