package proxy.packet;

import java.io.IOException;

import proxy.network.ProxyHandler;
import proxy.network.Packet;
import proxy.network.PacketBuffer;
import proxy.util.Vec3;

public class S36PacketSignEditorOpen implements Packet<ProxyHandler>
{
    private Vec3 signPosition;
    
    public S36PacketSignEditorOpen() {
    	
    }
    
    public S36PacketSignEditorOpen(int x, int y, int z) {
    	this.signPosition = new Vec3(x, y, z);
    }

    /**
     * Passes this Packet on to the NetHandler for processing.
     */
    public void processPacket(ProxyHandler handler)
    {
        handler.handleSignEditorOpen(this);
    }

    /**
     * Reads the raw packet data from the data stream.
     */
    public void readPacketData(PacketBuffer buf) throws IOException
    {
        this.signPosition = buf.readVector();
    }

    /**
     * Writes the raw packet data to the data stream.
     */
    public void writePacketData(PacketBuffer buf) throws IOException
    {
        buf.writeVector(this.signPosition);
    }
}
