package proxy.util;

import java.util.UUID;

import com.google.common.collect.LinkedHashMultimap;
import com.google.common.collect.Multimap;

public class Profile {
	public static class Property {
		private final String name;
		private final String value;
		private final String signature;

		public Property(String value, String name) {
			this(value, name, null);
		}

		public Property(String name, String value, String signature) {
			this.name = name;
			this.value = value;
			this.signature = signature;
		}

		public String getName() {
			return this.name;
		}

		public String getValue() {
			return this.value;
		}

		public String getSignature() {
			return this.signature;
		}
	}
	
    private final UUID id;
    private final String name;
    private final Multimap<String, Property> properties = LinkedHashMultimap.create();
    private boolean legacy;

    public Profile(UUID id, String name) {
        this.id = id;
        this.name = name;
    }

    public UUID getId() {
        return this.id;
    }

    public String getName() {
        return this.name;
    }

    public Multimap<String, Property> getProperties() {
        return this.properties;
    }
}
